BlockEvents.leftClicked(event => {
  if(event.block.id != 'compactmachines:solid_wall') {
	  return
  }
  if(event.item.id == "avaritia:infinity_pickaxe") {
	  event.block.set('minecraft:air')
	  event.block.popItem('compactmachines:solid_wall')
  }
})